@import '~rsuite/lib/styles/index.less';

/**
 * Styling Customization
 * =====================
 * https://rsuitejs.com/guide/themes
 *
 * Below this comment, manipulate the RSuite theme variables to alter the
 * appearance of the library components.
 */

@base-color: #204ef0;
@border-radius-base: 4px;
@font-family-base: 'Lucida Grande', 'Avenir Next', 'Helvetica Neue', Helvetica, Arial, 'PingFang SC', 'Hiragino Sans GB',
  'Microsoft YaHei', STXihei, sans-serif;
@font-size-base: 14px;

html {
  min-width: 800px;
}

#input-output-table {
  table-layout: fixed;

  thead {
    font-size: 1.2em;
    th {
      padding-top: 2rem;
    }
  }

  th,
  td {
    padding: 0.5rem 1rem 0 0;
    text-align: center;
  }

  tr :first-child,
  tr :first-child {
    text-align: left;
  }

  button {
    text-align: center !important;
  }
}

::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: #888;
}

.rs-modal-dialog {
  max-width: 100vw;
}

#sentence-table {
  table-layout: fixed;
  text-align: left;

  td {
    padding: 0.1rem 0.8rem;
    border-right: 1px solid #ccc;
  }

  td:last-of-type {
    border-right: none;
  }
}

.faded-quote {
  color: #ccc;
  padding: 0.1rem;
}
